Skip to content
Start here

Fetch details of peer

client.realtimeKit.sessions.getParticipantDataFromPeerId(stringappId, stringpeerId, SessionGetParticipantDataFromPeerIDParams { account_id, filters, include_peer_events } params, RequestOptionsoptions?): SessionGetParticipantDataFromPeerIDResponse { data, success }
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/peer-report/{peer_id}

Returns participant details for the given peer ID along with call statistics.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
peerId: string
formatuuid
params: SessionGetParticipantDataFromPeerIDParams { account_id, filters, include_peer_events }
account_id: string

Path param: The account identifier tag.

maxLength32
filters?: "device_info" | "ip_information" | "precall_network_information" | 2 more

Query param: Filter to apply to the peer report.

One of the following:
"device_info"
"ip_information"
"precall_network_information"
"events"
"quality_stats"
include_peer_events?: boolean

Query param: if true, response includes all the peer events of participant.

ReturnsExpand Collapse
SessionGetParticipantDataFromPeerIDResponse { data, success }
data?: Data { participant }
participant?: Participant { id, created_at, custom_participant_id, 10 more }
id?: string

ID of the participant.

formatuuid
created_at?: string

timestamp when this participant was created.

custom_participant_id?: string

ID passed by client to create this participant.

display_name?: string

Display name of participant when joining the session.

duration?: number

number of minutes for which the participant was in the session.

joined_at?: string

timestamp at which participant joined the session.

left_at?: string

timestamp at which participant left the session.

peer_events?: Array<PeerEvent>

Connection lifecycle events for the participant’s peer.

id?: string

ID of the peer event.

created_at?: string

Timestamp when this peer event was created.

event_name?: "PEER_CREATED" | "PEER_JOINING" | "PEER_LEAVING"

Name of the peer event.

One of the following:
"PEER_CREATED"
"PEER_JOINING"
"PEER_LEAVING"
minutes_consumed?: number

Minutes consumed attributed to this event.

participant_id?: string | null

ID of the participant this event belongs to.

peer_id?: string

Peer ID this event belongs to.

preset_view_type?: "GROUP_CALL" | "WEBINAR" | "AUDIO_ROOM" | 2 more | null

View type of the preset associated with the peer.

One of the following:
"GROUP_CALL"
"WEBINAR"
"AUDIO_ROOM"
"LIVESTREAM"
"CHAT"
session_id?: string | null

ID of the session this event belongs to.

socket_session_id?: string | null

ID of the socket session associated with this event.

updated_at?: string

Timestamp when this peer event was last updated.

peer_report?: PeerReport { metadata, quality }

Peer call statistics report.

metadata?: Metadata { audio_devices_updates, browser_metadata, candidate_pairs, 12 more }

Connection and device metadata for the participant.

audio_devices_updates?: Array<AudioDevicesUpdate>
added?: Array<Added>

Devices that became available.

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

removed?: Array<Removed>

Devices that became unavailable.

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

timestamp?: string

Timestamp of the device update.

browser_metadata?: BrowserMetadata { browser, browser_version, engine, 2 more }
browser?: string
browser_version?: string
engine?: string
user_agent?: string
webgl_support?: boolean | null
candidate_pairs?: CandidatePairs { consuming_transport, producing_transport }
consuming_transport?: Array<ConsumingTransport>
available_incoming_bitrate?: number
available_outgoing_bitrate?: number
bytes_discarded_on_send?: number
bytes_received?: number
bytes_sent?: number
current_round_trip_time?: number
last_packet_received_timestamp?: number

Epoch milliseconds when the last packet was received.

last_packet_sent_timestamp?: number

Epoch milliseconds when the last packet was sent.

local_candidate_address?: string
local_candidate_id?: string
local_candidate_network_type?: string
local_candidate_port?: number
local_candidate_protocol?: string
local_candidate_type?: string
local_candidate_url?: string
nominated?: boolean
packets_discarded_on_send?: number
packets_received?: number
packets_sent?: number
remote_candidate_address?: string
remote_candidate_id?: string
remote_candidate_port?: number
remote_candidate_protocol?: string
remote_candidate_type?: string
remote_candidate_url?: string
total_round_trip_time?: number
producing_transport?: Array<ProducingTransport>
available_incoming_bitrate?: number
available_outgoing_bitrate?: number
bytes_discarded_on_send?: number
bytes_received?: number
bytes_sent?: number
current_round_trip_time?: number
last_packet_received_timestamp?: number

Epoch milliseconds when the last packet was received.

last_packet_sent_timestamp?: number

Epoch milliseconds when the last packet was sent.

local_candidate_address?: string
local_candidate_id?: string
local_candidate_network_type?: string
local_candidate_port?: number
local_candidate_protocol?: string
local_candidate_type?: string
local_candidate_url?: string
nominated?: boolean
packets_discarded_on_send?: number
packets_received?: number
packets_sent?: number
remote_candidate_address?: string
remote_candidate_id?: string
remote_candidate_port?: number
remote_candidate_protocol?: string
remote_candidate_type?: string
remote_candidate_url?: string
total_round_trip_time?: number
device_info?: DeviceInfo { cpus, is_mobile, os, os_version }
cpus?: number
is_mobile?: boolean
os?: string
os_version?: string
events?: Array<Event>
metadata?: Record<string, string | number | boolean | null>

Event-specific metadata. Keys vary per event; values are primitive scalars (string, number, boolean, or null).

One of the following:
string
number
boolean
name?: string

Name of the event.

timestamp?: string

Timestamp when the event occurred.

ip_information?: IPInformation { asn, city, country, 4 more }
asn?: ASN { asn, domain, name, 2 more }
asn?: string
domain?: string
name?: string
route?: string
type?: string
city?: string
country?: string
ipv4?: string
org?: string
region?: string
timezone?: string
native_metadata?: NativeMetadata { audio_encoder, video_encoder }
audio_encoder?: string
video_encoder?: string
pc_metadata?: Array<PcMetadata>
effective_network_type?: string
reflexive_connectivity?: boolean
relay_connectivity?: boolean
sdp?: Array<string>
timestamp?: string
turn_connectivity?: boolean
room_view_type?: string
sdk_name?: string
sdk_type?: string
sdk_version?: string
selected_device_updates?: Array<SelectedDeviceUpdate>
device?: Device { device_id, kind, label }

A media device (camera, microphone, or speaker).

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

timestamp?: string
speaker_devices_updates?: Array<SpeakerDevicesUpdate>
added?: Array<Added>

Devices that became available.

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

removed?: Array<Removed>

Devices that became unavailable.

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

timestamp?: string

Timestamp of the device update.

video_devices_updates?: Array<VideoDevicesUpdate>
added?: Array<Added>

Devices that became available.

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

removed?: Array<Removed>

Devices that became unavailable.

device_id?: string

ID of the device.

kind?: string

Kind of device, for example audioinput or videoinput.

label?: string

Human-readable label of the device.

timestamp?: string

Timestamp of the device update.

quality?: Quality { audio_consumer, audio_consumer_cumulative, audio_producer, 13 more }

Media quality statistics for the participant.

audio_consumer?: Array<AudioConsumer>
bytes_received?: number
concealment_events?: number
consumer_id?: string
jitter?: number
jitter_buffer_delay?: number
jitter_buffer_emitted_count?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_received?: number
peer_id?: string
producer_id?: string
ssrc?: number
timestamp?: string
audio_consumer_cumulative?: AudioConsumerCumulative { jitter_buffer_delay, packet_loss, quality_mos }

Aggregated inbound (consumer) audio statistics for the session.

jitter_buffer_delay?: JitterBufferDelay { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
audio_producer?: Array<AudioProducer>
bytes_sent?: number
jitter?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_sent?: number
producer_id?: string
rtt?: number
ssrc?: number
timestamp?: string
audio_producer_cumulative?: AudioProducerCumulative { packet_loss, quality_mos, rtt }

Aggregated outbound (producer) audio statistics for the session.

packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
rtt?: RTT { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
screenshare_audio_consumer?: Array<ScreenshareAudioConsumer>
bytes_received?: number
concealment_events?: number
consumer_id?: string
jitter?: number
jitter_buffer_delay?: number
jitter_buffer_emitted_count?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_received?: number
peer_id?: string
producer_id?: string
ssrc?: number
timestamp?: string
screenshare_audio_consumer_cumulative?: ScreenshareAudioConsumerCumulative { jitter_buffer_delay, packet_loss, quality_mos }

Aggregated inbound (consumer) audio statistics for the session.

jitter_buffer_delay?: JitterBufferDelay { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
screenshare_audio_producer?: Array<ScreenshareAudioProducer>
bytes_sent?: number
jitter?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_sent?: number
producer_id?: string
rtt?: number
ssrc?: number
timestamp?: string
screenshare_audio_producer_cumulative?: ScreenshareAudioProducerCumulative { packet_loss, quality_mos, rtt }

Aggregated outbound (producer) audio statistics for the session.

packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
rtt?: RTT { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
screenshare_video_consumer?: Array<ScreenshareVideoConsumer>
bytes_received?: number
consumer_id?: string
fir_count?: number
frame_height?: number
frame_width?: number
frames_decoded?: number
frames_dropped?: number
frames_per_second?: number
jitter?: number
jitter_buffer_delay?: number
jitter_buffer_emitted_count?: number
key_frames_decoded?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_received?: number
peer_id?: string
producer_id?: string
ssrc?: number
timestamp?: string
screenshare_video_consumer_cumulative?: ScreenshareVideoConsumerCumulative { frame_per_second, frame_width, issues, 4 more }

Aggregated inbound (consumer) video statistics for the session.

frame_per_second?: FramePerSecond { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
frame_width?: FrameWidth { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
issues?: Issues { lag_fraction, no_video_fraction, poor_resolution_fraction }
lag_fraction?: number
no_video_fraction?: number
poor_resolution_fraction?: number
jitter_buffer_delay?: JitterBufferDelay { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
key_frames_decoded_fraction?: number
packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
screenshare_video_producer?: Array<ScreenshareVideoProducer>
bytes_sent?: number
fir_count?: number
frame_height?: number
frame_width?: number
frames_encoded?: number
frames_per_second?: number
jitter?: number
key_frames_encoded?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_sent?: number
pli_count?: number
producer_id?: string
quality_limitation_durations?: QualityLimitationDurations { bandwidth, cpu, none, other }
bandwidth?: number
cpu?: number
none?: number
other?: number
quality_limitation_reason?: "cpu" | "bandwidth" | "none" | "other"
One of the following:
"cpu"
"bandwidth"
"none"
"other"
quality_limitation_resolution_changes?: number
rtt?: number
ssrc?: number
timestamp?: string
screenshare_video_producer_cumulative?: ScreenshareVideoProducerCumulative { frame_per_second, frame_width, high_negative_feedback_fraction, 5 more }

Aggregated outbound (producer) video statistics for the session.

frame_per_second?: FramePerSecond { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
frame_width?: FrameWidth { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
high_negative_feedback_fraction?: number
issues?: Issues { bandwidth_quality_limitation_fraction, cpu_quality_limitation_fraction, no_video_fraction, 2 more }
bandwidth_quality_limitation_fraction?: number
cpu_quality_limitation_fraction?: number
no_video_fraction?: number
poor_resolution_fraction?: number
quality_limitation_fraction?: number
key_frames_encoded_fraction?: number
packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
rtt?: RTT { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
video_consumer?: Array<VideoConsumer>
bytes_received?: number
consumer_id?: string
fir_count?: number
frame_height?: number
frame_width?: number
frames_decoded?: number
frames_dropped?: number
frames_per_second?: number
jitter?: number
jitter_buffer_delay?: number
jitter_buffer_emitted_count?: number
key_frames_decoded?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_received?: number
peer_id?: string
producer_id?: string
ssrc?: number
timestamp?: string
video_consumer_cumulative?: VideoConsumerCumulative { frame_per_second, frame_width, issues, 4 more }

Aggregated inbound (consumer) video statistics for the session.

frame_per_second?: FramePerSecond { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
frame_width?: FrameWidth { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
issues?: Issues { lag_fraction, no_video_fraction, poor_resolution_fraction }
lag_fraction?: number
no_video_fraction?: number
poor_resolution_fraction?: number
jitter_buffer_delay?: JitterBufferDelay { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
key_frames_decoded_fraction?: number
packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
video_producer?: Array<VideoProducer>
bytes_sent?: number
fir_count?: number
frame_height?: number
frame_width?: number
frames_encoded?: number
frames_per_second?: number
jitter?: number
key_frames_encoded?: number
mid?: string
mos_quality?: number
packets_lost?: number
packets_sent?: number
pli_count?: number
producer_id?: string
quality_limitation_durations?: QualityLimitationDurations { bandwidth, cpu, none, other }
bandwidth?: number
cpu?: number
none?: number
other?: number
quality_limitation_reason?: "cpu" | "bandwidth" | "none" | "other"
One of the following:
"cpu"
"bandwidth"
"none"
"other"
quality_limitation_resolution_changes?: number
rtt?: number
ssrc?: number
timestamp?: string
video_producer_cumulative?: VideoProducerCumulative { frame_per_second, frame_width, high_negative_feedback_fraction, 5 more }

Aggregated outbound (producer) video statistics for the session.

frame_per_second?: FramePerSecond { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
frame_width?: FrameWidth { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
high_negative_feedback_fraction?: number
issues?: Issues { bandwidth_quality_limitation_fraction, cpu_quality_limitation_fraction, no_video_fraction, 2 more }
bandwidth_quality_limitation_fraction?: number
cpu_quality_limitation_fraction?: number
no_video_fraction?: number
poor_resolution_fraction?: number
quality_limitation_fraction?: number
key_frames_encoded_fraction?: number
packet_loss?: PacketLoss { 10_or_greater_event_fraction, 25_or_greater_event_fraction, 5_or_greater_event_fraction, 2 more }

Cumulative packet loss distribution.

"10_or_greater_event_fraction"?: number
"25_or_greater_event_fraction"?: number
"5_or_greater_event_fraction"?: number
"50_or_greater_event_fraction"?: number
avg?: number
quality_mos?: QualityMos { avg, p50, p75, p90 }

Distribution summary with average and percentiles.

avg?: number
p50?: number
p75?: number
p90?: number
rtt?: RTT { 100ms_or_greater_event_fraction, 250ms_or_greater_event_fraction, 500ms_or_greater_event_fraction, avg }

Cumulative latency distribution (milliseconds-based thresholds).

"100ms_or_greater_event_fraction"?: number
"250ms_or_greater_event_fraction"?: number
"500ms_or_greater_event_fraction"?: number
avg?: number
role?: string

Name of the preset associated with the participant.

session_id?: string
formatuuid
updated_at?: string

timestamp when this participant’s data was last updated.

user_id?: string

User id for this participant.

success?: boolean

Fetch details of peer

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.sessions.getParticipantDataFromPeerId(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.data);
{
  "data": {
    "participant": {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "created_at",
      "custom_participant_id": "custom_participant_id",
      "display_name": "display_name",
      "duration": 0,
      "joined_at": "joined_at",
      "left_at": "left_at",
      "peer_events": [
        {
          "id": "id",
          "created_at": "created_at",
          "event_name": "PEER_CREATED",
          "minutes_consumed": 0,
          "participant_id": "participant_id",
          "peer_id": "peer_id",
          "preset_view_type": "GROUP_CALL",
          "session_id": "session_id",
          "socket_session_id": "socket_session_id",
          "updated_at": "updated_at"
        }
      ],
      "peer_report": {
        "metadata": {
          "audio_devices_updates": [
            {
              "added": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "removed": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "timestamp": "timestamp"
            }
          ],
          "browser_metadata": {
            "browser": "browser",
            "browser_version": "browser_version",
            "engine": "engine",
            "user_agent": "user_agent",
            "webgl_support": true
          },
          "candidate_pairs": {
            "consuming_transport": [
              {
                "available_incoming_bitrate": 0,
                "available_outgoing_bitrate": 0,
                "bytes_discarded_on_send": 0,
                "bytes_received": 0,
                "bytes_sent": 0,
                "current_round_trip_time": 0,
                "last_packet_received_timestamp": 0,
                "last_packet_sent_timestamp": 0,
                "local_candidate_address": "local_candidate_address",
                "local_candidate_id": "local_candidate_id",
                "local_candidate_network_type": "local_candidate_network_type",
                "local_candidate_port": 0,
                "local_candidate_protocol": "local_candidate_protocol",
                "local_candidate_related_address": "local_candidate_related_address",
                "local_candidate_related_port": 0,
                "local_candidate_type": "local_candidate_type",
                "local_candidate_url": "local_candidate_url",
                "nominated": true,
                "packets_discarded_on_send": 0,
                "packets_received": 0,
                "packets_sent": 0,
                "remote_candidate_address": "remote_candidate_address",
                "remote_candidate_id": "remote_candidate_id",
                "remote_candidate_port": 0,
                "remote_candidate_protocol": "remote_candidate_protocol",
                "remote_candidate_type": "remote_candidate_type",
                "remote_candidate_url": "remote_candidate_url",
                "total_round_trip_time": 0
              }
            ],
            "producing_transport": [
              {
                "available_incoming_bitrate": 0,
                "available_outgoing_bitrate": 0,
                "bytes_discarded_on_send": 0,
                "bytes_received": 0,
                "bytes_sent": 0,
                "current_round_trip_time": 0,
                "last_packet_received_timestamp": 0,
                "last_packet_sent_timestamp": 0,
                "local_candidate_address": "local_candidate_address",
                "local_candidate_id": "local_candidate_id",
                "local_candidate_network_type": "local_candidate_network_type",
                "local_candidate_port": 0,
                "local_candidate_protocol": "local_candidate_protocol",
                "local_candidate_related_address": "local_candidate_related_address",
                "local_candidate_related_port": 0,
                "local_candidate_type": "local_candidate_type",
                "local_candidate_url": "local_candidate_url",
                "nominated": true,
                "packets_discarded_on_send": 0,
                "packets_received": 0,
                "packets_sent": 0,
                "remote_candidate_address": "remote_candidate_address",
                "remote_candidate_id": "remote_candidate_id",
                "remote_candidate_port": 0,
                "remote_candidate_protocol": "remote_candidate_protocol",
                "remote_candidate_type": "remote_candidate_type",
                "remote_candidate_url": "remote_candidate_url",
                "total_round_trip_time": 0
              }
            ]
          },
          "device_info": {
            "cpus": 0,
            "is_mobile": true,
            "os": "os",
            "os_version": "os_version"
          },
          "events": [
            {
              "metadata": {
                "foo": "string"
              },
              "name": "name",
              "timestamp": "timestamp"
            }
          ],
          "ip_information": {
            "asn": {
              "asn": "asn",
              "domain": "domain",
              "name": "name",
              "route": "route",
              "type": "type"
            },
            "city": "city",
            "country": "country",
            "ipv4": "ipv4",
            "org": "org",
            "region": "region",
            "timezone": "timezone"
          },
          "native_metadata": {
            "audio_encoder": "audio_encoder",
            "video_encoder": "video_encoder"
          },
          "pc_metadata": [
            {
              "effective_network_type": "effective_network_type",
              "reflexive_connectivity": true,
              "relay_connectivity": true,
              "sdp": [
                "string"
              ],
              "timestamp": "timestamp",
              "turn_connectivity": true
            }
          ],
          "room_view_type": "room_view_type",
          "sdk_name": "sdk_name",
          "sdk_type": "sdk_type",
          "sdk_version": "sdk_version",
          "selected_device_updates": [
            {
              "device": {
                "device_id": "device_id",
                "kind": "kind",
                "label": "label"
              },
              "timestamp": "timestamp"
            }
          ],
          "speaker_devices_updates": [
            {
              "added": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "removed": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "timestamp": "timestamp"
            }
          ],
          "video_devices_updates": [
            {
              "added": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "removed": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "timestamp": "timestamp"
            }
          ]
        },
        "quality": {
          "audio_consumer": [
            {
              "bytes_received": 0,
              "concealment_events": 0,
              "consumer_id": "consumer_id",
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "audio_consumer_cumulative": {
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "audio_producer": [
            {
              "bytes_sent": 0,
              "jitter": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "producer_id": "producer_id",
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "audio_producer_cumulative": {
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          },
          "screenshare_audio_consumer": [
            {
              "bytes_received": 0,
              "concealment_events": 0,
              "consumer_id": "consumer_id",
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_audio_consumer_cumulative": {
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "screenshare_audio_producer": [
            {
              "bytes_sent": 0,
              "jitter": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "producer_id": "producer_id",
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_audio_producer_cumulative": {
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          },
          "screenshare_video_consumer": [
            {
              "bytes_received": 0,
              "consumer_id": "consumer_id",
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_decoded": 0,
              "frames_dropped": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "key_frames_decoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_video_consumer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "issues": {
              "lag_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0
            },
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "key_frames_decoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "screenshare_video_producer": [
            {
              "bytes_sent": 0,
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_encoded": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "key_frames_encoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "pli_count": 0,
              "producer_id": "producer_id",
              "quality_limitation_durations": {
                "bandwidth": 0,
                "cpu": 0,
                "none": 0,
                "other": 0
              },
              "quality_limitation_reason": "cpu",
              "quality_limitation_resolution_changes": 0,
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_video_producer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "high_negative_feedback_fraction": 0,
            "issues": {
              "bandwidth_quality_limitation_fraction": 0,
              "cpu_quality_limitation_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0,
              "quality_limitation_fraction": 0
            },
            "key_frames_encoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          },
          "video_consumer": [
            {
              "bytes_received": 0,
              "consumer_id": "consumer_id",
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_decoded": 0,
              "frames_dropped": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "key_frames_decoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "video_consumer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "issues": {
              "lag_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0
            },
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "key_frames_decoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "video_producer": [
            {
              "bytes_sent": 0,
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_encoded": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "key_frames_encoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "pli_count": 0,
              "producer_id": "producer_id",
              "quality_limitation_durations": {
                "bandwidth": 0,
                "cpu": 0,
                "none": 0,
                "other": 0
              },
              "quality_limitation_reason": "cpu",
              "quality_limitation_resolution_changes": 0,
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "video_producer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "high_negative_feedback_fraction": 0,
            "issues": {
              "bandwidth_quality_limitation_fraction": 0,
              "cpu_quality_limitation_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0,
              "quality_limitation_fraction": 0
            },
            "key_frames_encoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          }
        }
      },
      "role": "role",
      "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "updated_at",
      "user_id": "user_id"
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "participant": {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "created_at",
      "custom_participant_id": "custom_participant_id",
      "display_name": "display_name",
      "duration": 0,
      "joined_at": "joined_at",
      "left_at": "left_at",
      "peer_events": [
        {
          "id": "id",
          "created_at": "created_at",
          "event_name": "PEER_CREATED",
          "minutes_consumed": 0,
          "participant_id": "participant_id",
          "peer_id": "peer_id",
          "preset_view_type": "GROUP_CALL",
          "session_id": "session_id",
          "socket_session_id": "socket_session_id",
          "updated_at": "updated_at"
        }
      ],
      "peer_report": {
        "metadata": {
          "audio_devices_updates": [
            {
              "added": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "removed": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "timestamp": "timestamp"
            }
          ],
          "browser_metadata": {
            "browser": "browser",
            "browser_version": "browser_version",
            "engine": "engine",
            "user_agent": "user_agent",
            "webgl_support": true
          },
          "candidate_pairs": {
            "consuming_transport": [
              {
                "available_incoming_bitrate": 0,
                "available_outgoing_bitrate": 0,
                "bytes_discarded_on_send": 0,
                "bytes_received": 0,
                "bytes_sent": 0,
                "current_round_trip_time": 0,
                "last_packet_received_timestamp": 0,
                "last_packet_sent_timestamp": 0,
                "local_candidate_address": "local_candidate_address",
                "local_candidate_id": "local_candidate_id",
                "local_candidate_network_type": "local_candidate_network_type",
                "local_candidate_port": 0,
                "local_candidate_protocol": "local_candidate_protocol",
                "local_candidate_related_address": "local_candidate_related_address",
                "local_candidate_related_port": 0,
                "local_candidate_type": "local_candidate_type",
                "local_candidate_url": "local_candidate_url",
                "nominated": true,
                "packets_discarded_on_send": 0,
                "packets_received": 0,
                "packets_sent": 0,
                "remote_candidate_address": "remote_candidate_address",
                "remote_candidate_id": "remote_candidate_id",
                "remote_candidate_port": 0,
                "remote_candidate_protocol": "remote_candidate_protocol",
                "remote_candidate_type": "remote_candidate_type",
                "remote_candidate_url": "remote_candidate_url",
                "total_round_trip_time": 0
              }
            ],
            "producing_transport": [
              {
                "available_incoming_bitrate": 0,
                "available_outgoing_bitrate": 0,
                "bytes_discarded_on_send": 0,
                "bytes_received": 0,
                "bytes_sent": 0,
                "current_round_trip_time": 0,
                "last_packet_received_timestamp": 0,
                "last_packet_sent_timestamp": 0,
                "local_candidate_address": "local_candidate_address",
                "local_candidate_id": "local_candidate_id",
                "local_candidate_network_type": "local_candidate_network_type",
                "local_candidate_port": 0,
                "local_candidate_protocol": "local_candidate_protocol",
                "local_candidate_related_address": "local_candidate_related_address",
                "local_candidate_related_port": 0,
                "local_candidate_type": "local_candidate_type",
                "local_candidate_url": "local_candidate_url",
                "nominated": true,
                "packets_discarded_on_send": 0,
                "packets_received": 0,
                "packets_sent": 0,
                "remote_candidate_address": "remote_candidate_address",
                "remote_candidate_id": "remote_candidate_id",
                "remote_candidate_port": 0,
                "remote_candidate_protocol": "remote_candidate_protocol",
                "remote_candidate_type": "remote_candidate_type",
                "remote_candidate_url": "remote_candidate_url",
                "total_round_trip_time": 0
              }
            ]
          },
          "device_info": {
            "cpus": 0,
            "is_mobile": true,
            "os": "os",
            "os_version": "os_version"
          },
          "events": [
            {
              "metadata": {
                "foo": "string"
              },
              "name": "name",
              "timestamp": "timestamp"
            }
          ],
          "ip_information": {
            "asn": {
              "asn": "asn",
              "domain": "domain",
              "name": "name",
              "route": "route",
              "type": "type"
            },
            "city": "city",
            "country": "country",
            "ipv4": "ipv4",
            "org": "org",
            "region": "region",
            "timezone": "timezone"
          },
          "native_metadata": {
            "audio_encoder": "audio_encoder",
            "video_encoder": "video_encoder"
          },
          "pc_metadata": [
            {
              "effective_network_type": "effective_network_type",
              "reflexive_connectivity": true,
              "relay_connectivity": true,
              "sdp": [
                "string"
              ],
              "timestamp": "timestamp",
              "turn_connectivity": true
            }
          ],
          "room_view_type": "room_view_type",
          "sdk_name": "sdk_name",
          "sdk_type": "sdk_type",
          "sdk_version": "sdk_version",
          "selected_device_updates": [
            {
              "device": {
                "device_id": "device_id",
                "kind": "kind",
                "label": "label"
              },
              "timestamp": "timestamp"
            }
          ],
          "speaker_devices_updates": [
            {
              "added": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "removed": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "timestamp": "timestamp"
            }
          ],
          "video_devices_updates": [
            {
              "added": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "removed": [
                {
                  "device_id": "device_id",
                  "kind": "kind",
                  "label": "label"
                }
              ],
              "timestamp": "timestamp"
            }
          ]
        },
        "quality": {
          "audio_consumer": [
            {
              "bytes_received": 0,
              "concealment_events": 0,
              "consumer_id": "consumer_id",
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "audio_consumer_cumulative": {
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "audio_producer": [
            {
              "bytes_sent": 0,
              "jitter": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "producer_id": "producer_id",
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "audio_producer_cumulative": {
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          },
          "screenshare_audio_consumer": [
            {
              "bytes_received": 0,
              "concealment_events": 0,
              "consumer_id": "consumer_id",
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_audio_consumer_cumulative": {
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "screenshare_audio_producer": [
            {
              "bytes_sent": 0,
              "jitter": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "producer_id": "producer_id",
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_audio_producer_cumulative": {
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          },
          "screenshare_video_consumer": [
            {
              "bytes_received": 0,
              "consumer_id": "consumer_id",
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_decoded": 0,
              "frames_dropped": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "key_frames_decoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_video_consumer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "issues": {
              "lag_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0
            },
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "key_frames_decoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "screenshare_video_producer": [
            {
              "bytes_sent": 0,
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_encoded": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "key_frames_encoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "pli_count": 0,
              "producer_id": "producer_id",
              "quality_limitation_durations": {
                "bandwidth": 0,
                "cpu": 0,
                "none": 0,
                "other": 0
              },
              "quality_limitation_reason": "cpu",
              "quality_limitation_resolution_changes": 0,
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "screenshare_video_producer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "high_negative_feedback_fraction": 0,
            "issues": {
              "bandwidth_quality_limitation_fraction": 0,
              "cpu_quality_limitation_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0,
              "quality_limitation_fraction": 0
            },
            "key_frames_encoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          },
          "video_consumer": [
            {
              "bytes_received": 0,
              "consumer_id": "consumer_id",
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_decoded": 0,
              "frames_dropped": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "jitter_buffer_delay": 0,
              "jitter_buffer_emitted_count": 0,
              "key_frames_decoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_received": 0,
              "peer_id": "peer_id",
              "producer_id": "producer_id",
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "video_consumer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "issues": {
              "lag_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0
            },
            "jitter_buffer_delay": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            },
            "key_frames_decoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            }
          },
          "video_producer": [
            {
              "bytes_sent": 0,
              "fir_count": 0,
              "frame_height": 0,
              "frame_width": 0,
              "frames_encoded": 0,
              "frames_per_second": 0,
              "jitter": 0,
              "key_frames_encoded": 0,
              "mid": "mid",
              "mos_quality": 0,
              "packets_lost": 0,
              "packets_sent": 0,
              "pli_count": 0,
              "producer_id": "producer_id",
              "quality_limitation_durations": {
                "bandwidth": 0,
                "cpu": 0,
                "none": 0,
                "other": 0
              },
              "quality_limitation_reason": "cpu",
              "quality_limitation_resolution_changes": 0,
              "rtt": 0,
              "ssrc": 0,
              "timestamp": "timestamp"
            }
          ],
          "video_producer_cumulative": {
            "frame_per_second": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "frame_width": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "high_negative_feedback_fraction": 0,
            "issues": {
              "bandwidth_quality_limitation_fraction": 0,
              "cpu_quality_limitation_fraction": 0,
              "no_video_fraction": 0,
              "poor_resolution_fraction": 0,
              "quality_limitation_fraction": 0
            },
            "key_frames_encoded_fraction": 0,
            "packet_loss": {
              "10_or_greater_event_fraction": 0,
              "25_or_greater_event_fraction": 0,
              "5_or_greater_event_fraction": 0,
              "50_or_greater_event_fraction": 0,
              "avg": 0
            },
            "quality_mos": {
              "avg": 0,
              "p50": 0,
              "p75": 0,
              "p90": 0
            },
            "rtt": {
              "100ms_or_greater_event_fraction": 0,
              "250ms_or_greater_event_fraction": 0,
              "500ms_or_greater_event_fraction": 0,
              "avg": 0
            }
          }
        }
      },
      "role": "role",
      "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "updated_at",
      "user_id": "user_id"
    }
  },
  "success": true
}